%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{abstract}\thispagestyle{empty}
        \emph{Reinforcement learning} is an active field of research that has shown promising results in several occasions. There are multiple algorithms capable of facing very complex problems, meaning potential steps towards \emph{strong artificial intelligence}. OpenAI has recently shown that in a multiagent system, actors belonging to different teams are capable of developing strategies and counterstrategies without being explicitly rewarded to do so. In this project we have studied the main \emph{reinforcement learning} algorithms that are relevant nowadays and we have implemented a multiagent environment for survival simulation in order to test them, compare them and discuss the results. Finally, we have designed PERLERT (Protocol for Evaluating Reinforcement Learning Environments in Real Time) and implemented such protocol in a client-server architecture that allows interacting with trained agents.

  \vspace*{15pt}
  \begin{segundoresumo}
          \emph{Aprendizaje por refuerzo} es un activo campo de investigación que ha mostrado resultados prometedores en varias ocasiones. Existen múltiples algoritmos capaces de abarcar problemas de gran complejidad y que suponen potenciales avances hacia la \emph{inteligencia artificial fuerte}. OpenAI ha demostrado recientemente que en un sistema multiagente, actores pertenecientes a diferentes equipos son capaces de desarrollar estrategias y contraestrategias sin ser explícitamente incentivados para ello. En este proyecto hemos estudiado los principales algoritmos de \emph{aprendizaje por refuerzo} que están a la orden del día y hemos implementado un entorno multiagente de simulación para la supervivencia para ponerlos a prueba, compararlos y discutir los resultados. Finalmente, hemos diseñado PERLERT (Protocol for Evaluating Reinforcement Learning Environments in Real Time) e implementado dicho protocolo en una arquitectura cliente-servidor que permite interaccionar con los agentes entrenados.

  \end{segundoresumo}
\vspace*{10pt}
\input{portada/palabras_chave}
\end{abstract}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
